Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QCompleter.CompletionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QCompleter.CompletionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QCompleter

    public static final class QCompleter.CompletionMode

extends java.lang.Enum
implements QtEnumerator

This enum specifies how completions are provided to the user.

See also:
  setCompletionMode().

See Also:
  Serialized Form

Field Summary
`static QCompleter.CompletionMode` | `InlineCompletion` Completions appear inline (as selected text).
`static QCompleter.CompletionMode` | `PopupCompletion` Current completions are displayed in a popup window.
`static QCompleter.CompletionMode` | `UnfilteredPopupCompletion` All possible completions are displayed in a popup window with the most likely suggestion selected.

Method Summary
`static QCompleter.CompletionMode` | `resolve(int value)` Returns the QCompleter$CompletionMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCompleter.CompletionMode` | `valueOf(java.lang.String name)`
`static QCompleter.CompletionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PopupCompletion

    public static final QCompleter.CompletionMode PopupCompletion

  Current completions are displayed in a popup window.

### UnfilteredPopupCompletion

    public static final QCompleter.CompletionMode UnfilteredPopupCompletion

  All possible completions are displayed in a popup window with the most likely suggestion selected.

### InlineCompletion

    public static final QCompleter.CompletionMode InlineCompletion

  Completions appear inline (as selected text).

Method Detail

### values

    public static QCompleter.CompletionMode[] values()

### valueOf

    public static QCompleter.CompletionMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCompleter.CompletionMode resolve(int value)

  Returns the QCompleter$CompletionMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD